package com.goafanti.permission.bo;

public class RolePermissionBo {
	
	/**
	 * 角色id
	 */
    private String rid;

    /**
    * 角色名称
    */
    private String rname;

    /**
    * 角色类型
    */
    private Integer type;
    
    /**
     * 权限id
     */
    private String pid;
    

    /**
    * 权限名称
    */
    private String pname;
    
    /**
     * 权限接口地址
     */
    private String url;
    /**
     * 创建人
     */
    private String creater;
    /**
     * 创建时间
     */
    private String createTime;

	public String getCreater() {
		return creater;
	}

	public void setCreater(String creater) {
		this.creater = creater;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getRname() {
		return rname;
	}

	public void setRname(String rname) {
		this.rname = rname;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getPname() {
		return pname;
	}

	public void setPname(String pname) {
		this.pname = pname;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getRid() {
		return rid;
	}

	public void setRid(String rid) {
		this.rid = rid;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}
    
}
